Package com.clickhouse.jdbc.internal

# Class ClickHouseJdbcUrlParser.ConnectionInfo

java.lang.Object
com.clickhouse.jdbc.internal.ClickHouseJdbcUrlParser.ConnectionInfo

Enclosing class:
  ClickHouseJdbcUrlParser

public static class ClickHouseJdbcUrlParser.ConnectionInfo extends Object

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ConnectionInfo(String cacheKey, com.clickhouse.client.ClickHouseNodes nodes, Properties props)`

## Method Summary

Modifier and Type
Method
Description
`com.clickhouse.client.ClickHouseCredentials`
`getDefaultCredentials()`
`JdbcConfig`
`getJdbcConfig()`
`com.clickhouse.client.ClickHouseNodes`
`getNodes()`
Gets nodes defined in connection string.
`Properties`
`getProperties()`
`com.clickhouse.client.ClickHouseNode`
`getServer()`
Deprecated.
will be removed in 0.5, please use `getNodes()` instead

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConnectionInfo

protected ConnectionInfo(String cacheKey, com.clickhouse.client.ClickHouseNodes nodes, Properties props)

## Method Details

### getDefaultCredentials

public com.clickhouse.client.ClickHouseCredentials getDefaultCredentials()

### getServer

@Deprecated public com.clickhouse.client.ClickHouseNode getServer()
Deprecated.
will be removed in 0.5, please use `getNodes()` instead
Gets selected server.

Returns:
  non-null selected server

### getJdbcConfig

public JdbcConfig getJdbcConfig()

### getNodes

public com.clickhouse.client.ClickHouseNodes getNodes()
Gets nodes defined in connection string.

Returns:
  non-null nodes

### getProperties

public Properties getProperties()